=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	-rm -f --verbose \
	 debian/x2x/usr/share/doc/x2x/COPYING \
	 debian/x2x/usr/share/doc/x2x/COPYING.win32 \
	 debian/x2x/usr/share/doc/x2x/ChangeLog
	-mv debian/x2x/usr/share/doc/x2x/ChangeLog.old \
	 debian/x2x/usr/share/doc/x2x/changelog-old
